/* --------------------------------------------------------------  */
/* (C)Copyright 2006,2007,                                         */
/* International Business Machines Corporation                     */
/* All Rights Reserved.                                            */
/*                                                                 */
/* Redistribution and use in source and binary forms, with or      */
/* without modification, are permitted provided that the           */
/* following conditions are met:                                   */
/*                                                                 */
/* - Redistributions of source code must retain the above copyright*/
/*   notice, this list of conditions and the following disclaimer. */
/*                                                                 */
/* - Redistributions in binary form must reproduce the above       */
/*   copyright notice, this list of conditions and the following   */
/*   disclaimer in the documentation and/or other materials        */
/*   provided with the distribution.                               */
/*                                                                 */
/* - Neither the name of IBM Corporation nor the names of its      */
/*   contributors may be used to endorse or promote products       */
/*   derived from this software without specific prior written     */
/*   permission.                                                   */
/*                                                                 */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          */
/* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        */
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        */
/* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            */
/* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    */
/* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    */
/* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        */
/* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       */
/* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    */
/* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              */
/* --------------------------------------------------------------  */
/* PROLOG END TAG zYx                                              */

#define TEST_FILE_LEN	1024

static const unsigned char reference_file_contents[TEST_FILE_LEN] = {
    0xDC, 0x8A, 0x5B, 0xCD, 0x82, 0xDC, 0x3A, 0xD0, 0x13, 0xC2, 0x48, 0x4A, 0xA4, 0xF0, 0x13, 0x9C, 
    0xCF, 0xC9, 0xDE, 0xD9, 0xAF, 0x63, 0xF4, 0x52, 0x9D, 0x83, 0x2D, 0x26, 0x40, 0x3D, 0xD7, 0x9F, 
    0xE7, 0x16, 0x8D, 0x07, 0x47, 0x4F, 0x61, 0x5D, 0x8D, 0x8C, 0x46, 0xBE, 0xE1, 0x27, 0xEE, 0x4B, 
    0x78, 0x87, 0x3D, 0x37, 0x0C, 0xE6, 0xDB, 0x11, 0x25, 0x57, 0xA6, 0x30, 0x19, 0xDA, 0xF5, 0x85, 
    0xE5, 0xAF, 0xA2, 0xE3, 0xFD, 0xF6, 0x37, 0x11, 0xEF, 0x54, 0x6E, 0x24, 0xDA, 0xFD, 0x72, 0x57, 
    0x04, 0x8F, 0x5E, 0x79, 0x69, 0xAD, 0x18, 0x9E, 0x6A, 0x2B, 0x08, 0xBA, 0x84, 0xD3, 0xF9, 0xB2, 
    0x75, 0xA4, 0xD0, 0xED, 0xF3, 0x26, 0xEC, 0x7E, 0xF6, 0x58, 0x14, 0xA7, 0xD4, 0x55, 0x20, 0x27, 
    0x53, 0xD2, 0x25, 0xA5, 0xBB, 0x77, 0xF4, 0x4F, 0x94, 0x72, 0x68, 0xD6, 0x72, 0xD0, 0xE7, 0xDF, 
    0x3E, 0x36, 0x35, 0x9F, 0x0C, 0x1E, 0xB5, 0x74, 0xC3, 0x11, 0xBB, 0x9D, 0x9F, 0x1C, 0xD8, 0xE8, 
    0xF4, 0x80, 0x0F, 0x91, 0x8C, 0x6A, 0x47, 0x5B, 0xE4, 0x89, 0x31, 0x57, 0xF0, 0xD0, 0x8B, 0x91, 
    0x4A, 0xDB, 0x13, 0xF2, 0x8B, 0xE2, 0x05, 0x24, 0xA3, 0xFE, 0x3C, 0x96, 0x38, 0x8B, 0x48, 0x93, 
    0xF8, 0xC8, 0xF4, 0x02, 0xC3, 0x5C, 0xCE, 0xDC, 0xC3, 0x50, 0xC1, 0xFE, 0x0D, 0x0A, 0x8E, 0x19, 
    0x72, 0xA8, 0x03, 0x55, 0xF6, 0x7F, 0x12, 0x49, 0x94, 0xE2, 0xAA, 0x35, 0x6B, 0xE6, 0xFA, 0xCA, 
    0x52, 0x90, 0x95, 0x1D, 0xE9, 0xCC, 0x3B, 0x6E, 0xFA, 0xD2, 0x0F, 0xC1, 0x31, 0x7E, 0xDB, 0x66, 
    0x04, 0xA3, 0xBC, 0x84, 0xF4, 0x80, 0xFB, 0xA1, 0xC7, 0x4D, 0xBE, 0x78, 0x34, 0x25, 0x5E, 0xBC, 
    0xD1, 0x3B, 0x94, 0x8D, 0x8D, 0x81, 0x42, 0xCB, 0x09, 0x57, 0x6E, 0x15, 0xAC, 0x3A, 0x85, 0x34, 
    0xE0, 0xA3, 0xD3, 0x7A, 0x48, 0xD3, 0x86, 0xFD, 0x65, 0x94, 0x45, 0x07, 0xEE, 0xB5, 0xE3, 0x2B, 
    0x72, 0x5A, 0x1D, 0x53, 0xF5, 0xF1, 0xC3, 0x63, 0x27, 0x4E, 0x82, 0x88, 0xEF, 0x43, 0x2C, 0x6E, 
    0x9D, 0x6E, 0xE2, 0xB6, 0x20, 0xD5, 0x2A, 0x93, 0x98, 0x74, 0x4E, 0xBF, 0xB2, 0x25, 0xD9, 0xA6, 
    0x2C, 0xE8, 0xDA, 0x89, 0x8B, 0x7B, 0x95, 0x4D, 0xC7, 0xA3, 0xAD, 0x53, 0x29, 0xC0, 0x43, 0x83, 
    0x0B, 0xAC, 0x7A, 0x3E, 0x4E, 0x4D, 0xDF, 0x73, 0x66, 0x53, 0x52, 0xC3, 0xA9, 0x9A, 0x4B, 0xB4, 
    0x10, 0x9A, 0x7D, 0xFE, 0xD1, 0xF9, 0x96, 0x14, 0x17, 0x7B, 0x7D, 0x21, 0xF1, 0x7B, 0x0E, 0x04, 
    0x30, 0x88, 0x71, 0x16, 0x2E, 0x41, 0x13, 0x71, 0xAC, 0x06, 0x80, 0x7B, 0xDA, 0xA0, 0x47, 0xBA, 
    0x10, 0xAC, 0x90, 0x36, 0x9A, 0xA0, 0x71, 0x30, 0xAB, 0x9D, 0xB5, 0xA3, 0xFB, 0x6B, 0x32, 0x24, 
    0xA9, 0x8B, 0x81, 0xCE, 0xF8, 0x9D, 0x75, 0xF8, 0x9D, 0xC4, 0xA8, 0xDA, 0x4D, 0x69, 0xFB, 0x1B, 
    0xBA, 0xF9, 0x60, 0xF3, 0xD2, 0xB8, 0x66, 0x0F, 0x14, 0xAC, 0x90, 0x4B, 0xB4, 0xD2, 0xDC, 0xC1, 
    0x56, 0x66, 0xE5, 0x7B, 0x90, 0xE0, 0x83, 0x5F, 0xD0, 0x52, 0x60, 0xF8, 0x89, 0x99, 0x04, 0x3A, 
    0xE1, 0xDB, 0xD4, 0x25, 0x65, 0xAE, 0x95, 0x6A, 0x00, 0xDB, 0x1C, 0x38, 0x2E, 0x2E, 0xEC, 0x2F, 
    0x7F, 0xAB, 0xDA, 0x95, 0x33, 0x64, 0xB3, 0x97, 0xF7, 0xEF, 0x25, 0x5B, 0xC0, 0x51, 0xE4, 0x0F, 
    0x46, 0x3D, 0x48, 0x25, 0xE1, 0x26, 0x2E, 0x97, 0xB8, 0x0B, 0x00, 0xBD, 0x54, 0x86, 0x6A, 0xDE, 
    0xCB, 0xC2, 0x19, 0xE1, 0xF0, 0xE0, 0x41, 0x77, 0xFE, 0xEF, 0xCA, 0x07, 0x41, 0x4C, 0xFE, 0xA9, 
    0xD7, 0xA5, 0x6C, 0x87, 0x9F, 0xB0, 0x5E, 0xAC, 0x8B, 0xD5, 0x87, 0xC2, 0xEB, 0x72, 0xC1, 0xFB, 
    0xC3, 0x83, 0xC4, 0xB7, 0x88, 0x21, 0x05, 0xC2, 0x2F, 0x8B, 0x14, 0xB0, 0x4B, 0x84, 0x81, 0xE2, 
    0x1D, 0x6B, 0x2F, 0x76, 0x43, 0xDA, 0x8A, 0xCE, 0x99, 0x22, 0xDC, 0xDE, 0x1D, 0xB0, 0x33, 0x1B, 
    0x70, 0x14, 0x9A, 0x48, 0xB9, 0x9E, 0x34, 0xD6, 0x69, 0xCD, 0x7B, 0x61, 0x3E, 0x49, 0x45, 0xFF, 
    0xCB, 0x7B, 0x83, 0xE6, 0x9F, 0x5B, 0x43, 0x8D, 0xA8, 0x17, 0xC6, 0x19, 0xC3, 0x51, 0x9E, 0x18, 
    0x14, 0x56, 0x0D, 0x56, 0x72, 0xC6, 0x11, 0xF8, 0xE2, 0x7C, 0xD5, 0x3C, 0xA8, 0x25, 0x97, 0xE7, 
    0xB2, 0x2F, 0x4F, 0xDF, 0x39, 0x09, 0x2F, 0xF3, 0x16, 0x73, 0xDA, 0x65, 0x58, 0x77, 0x7C, 0x6D, 
    0xE1, 0x6C, 0xB9, 0xD5, 0x9F, 0xBA, 0x3B, 0x37, 0xBA, 0x18, 0xA1, 0x5D, 0x4D, 0x14, 0x68, 0xD6, 
    0xF0, 0x2B, 0x79, 0x33, 0x19, 0x84, 0x44, 0xF4, 0x95, 0x2F, 0x52, 0xA8, 0x13, 0xEA, 0x94, 0x39, 
    0xD9, 0x2C, 0x90, 0xFE, 0x73, 0x3C, 0xC0, 0x49, 0x92, 0x95, 0xE7, 0x55, 0xBE, 0x21, 0xD8, 0xE2, 
    0x3E, 0x46, 0xE6, 0x15, 0x02, 0x57, 0x5E, 0x68, 0x39, 0xAB, 0x5E, 0x01, 0x59, 0x6D, 0x23, 0x14, 
    0x7F, 0x4C, 0x74, 0xEB, 0xE8, 0x22, 0xFC, 0x65, 0x81, 0x44, 0xE7, 0x9E, 0xFD, 0xD6, 0x81, 0x2C, 
    0x20, 0x2E, 0x40, 0x71, 0x76, 0x8C, 0xA0, 0x6A, 0x7F, 0x90, 0x6A, 0x4A, 0x6A, 0x28, 0xF1, 0x8E, 
    0x47, 0xE6, 0xF1, 0xE9, 0x60, 0x42, 0x6A, 0x61, 0xAA, 0xFD, 0x82, 0xDE, 0xDC, 0x23, 0xEE, 0xBC, 
    0xCE, 0x0D, 0x1A, 0x6C, 0xBD, 0x8E, 0x54, 0x23, 0xAB, 0x27, 0x67, 0x14, 0xF9, 0x7E, 0x37, 0x55, 
    0xE3, 0xD6, 0x7F, 0xDC, 0x41, 0x67, 0x48, 0x1C, 0x91, 0x74, 0x09, 0x1B, 0x45, 0x1D, 0x5C, 0xE3, 
    0x3B, 0x79, 0x8D, 0xB4, 0x4B, 0x9B, 0xA9, 0x1C, 0x07, 0x27, 0xEE, 0xB6, 0x74, 0x2E, 0x42, 0xC1, 
    0xB4, 0x41, 0x5C, 0x23, 0x15, 0xF2, 0x9F, 0xF3, 0xA3, 0x65, 0xA6, 0x62, 0xA7, 0x38, 0x05, 0xD1, 
    0x7C, 0xDF, 0xE8, 0xB2, 0x70, 0xD0, 0xA1, 0xE4, 0xDF, 0x42, 0x91, 0xCA, 0x73, 0xF1, 0xDB, 0xB3, 
    0x7F, 0xF6, 0x02, 0x1B, 0x5F, 0xC6, 0x24, 0x13, 0xE7, 0xD5, 0x72, 0x4C, 0x50, 0xD5, 0xD1, 0x59, 
    0x5B, 0x3E, 0x92, 0xBB, 0x26, 0x2D, 0x20, 0xC0, 0x35, 0x32, 0xD2, 0x16, 0x68, 0x38, 0x3E, 0xEB, 
    0x2A, 0xAA, 0x95, 0xAF, 0xE6, 0xFB, 0x5E, 0x08, 0xAF, 0xE3, 0x06, 0xDA, 0x80, 0xE5, 0x22, 0xBE, 
    0x55, 0x4F, 0x93, 0x4C, 0x92, 0x48, 0x55, 0x57, 0x15, 0xDC, 0x29, 0x22, 0xCF, 0x72, 0xAC, 0x83, 
    0x1A, 0x9E, 0x5B, 0xFB, 0x54, 0x2C, 0xF8, 0xAE, 0x1C, 0x5B, 0x19, 0xC6, 0xE6, 0xCC, 0x6A, 0x5A, 
    0x2A, 0xB0, 0xF4, 0x8A, 0xE3, 0x6B, 0x25, 0x3F, 0xE9, 0x77, 0xF3, 0xF7, 0xBF, 0x55, 0xDD, 0xEF, 
    0xDF, 0xD8, 0x7E, 0x41, 0x1D, 0x9D, 0x70, 0xD8, 0xEB, 0xA8, 0x67, 0x0D, 0x0A, 0xB0, 0x80, 0x38, 
    0x49, 0x8E, 0xF8, 0xB3, 0x8C, 0x42, 0x89, 0xD5, 0xF0, 0x71, 0x93, 0x07, 0x3A, 0x29, 0xE2, 0x6C, 
    0x2E, 0x75, 0xE5, 0x7E, 0x94, 0x6E, 0xEE, 0x2D, 0x01, 0xEA, 0x9C, 0xD8, 0x52, 0xB8, 0x0B, 0x98, 
    0xA1, 0xA2, 0xF4, 0x00, 0x71, 0x43, 0x32, 0xEC, 0x83, 0xC0, 0x7D, 0xC3, 0x10, 0xC5, 0x68, 0xFB, 
    0x69, 0xAF, 0x1A, 0xE4, 0x6C, 0xC8, 0x0C, 0x0D, 0x0A, 0x8A, 0xE8, 0x1A, 0x05, 0x2A, 0x17, 0x5C, 
    0xFA, 0x35, 0x67, 0xA6, 0xB7, 0xD2, 0xFB, 0xF3, 0x50, 0x94, 0x2B, 0x71, 0x25, 0x95, 0xFE, 0x4F, 
    0x5A, 0xEA, 0x00, 0x94, 0xFB, 0x88, 0xFD, 0x2C, 0x80, 0x98, 0x46, 0xD7, 0xE2, 0xBF, 0xD6, 0x0B, 
    0x68, 0x79, 0x77, 0x21, 0x00, 0x88, 0xF4, 0x5B, 0x74, 0xFC, 0xA8, 0x33, 0x6D, 0xC4, 0xD1, 0xBC
};
